using Microsoft.Xna.Framework;

namespace Igdc
{
    public static class Palette
    {
        public static readonly Color Dark = new Color(32, 32, 0);
        public static readonly Color Light = new Color(255, 255, 255);

        public static readonly Color Olive1 = new Color(128, 128, 64);
        public static readonly Color Olive2 = new Color(192, 192, 128);

        public static readonly Color Tan1 = new Color(128, 96, 64);
        public static readonly Color Tan2 = new Color(192, 160, 128);

        public static readonly Color Orange1 = new Color(255, 96, 64);
        public static readonly Color Orange2 = new Color(255, 192, 64);

        public static readonly Color Yellow1 = new Color(255, 160, 64);
        public static readonly Color Yellow2 = new Color(255, 255, 128);

        public static readonly Color Blue1 = new Color(64, 64, 128);
        public static readonly Color Blue2 = new Color(160, 160, 255);

        public static readonly Color Violet1 = new Color(192, 96, 128);
        public static readonly Color Violet2 = new Color(192, 160, 255);

        public static readonly Color Pink1 = new Color(255, 128, 64);
        public static readonly Color Pink2 = new Color(255, 192, 255);

        public static readonly Color Teal1 = new Color(32, 192, 255);
        public static readonly Color Teal2 = new Color(192, 255, 255);

        public static readonly Color Green1 = new Color(96, 160, 64);
        public static readonly Color Green2 = new Color(192, 255, 128);

        public static readonly Color Purple1 = new Color(192, 128, 128);
        public static readonly Color Purple2 = new Color(211, 166, 166);

        public static readonly Color Red1 = new Color(192, 64, 0);
        public static readonly Color Red2 = new Color(255, 143, 121);
    }
}